options compress=YES;
libname data ''; 
libname output ''; 
libname earn '';
libname sdr '';

* COLLAPSE TO ZIP-QUARTER LEVEL ;
* INPUT: APPENDED 831 FILES (FROM AEJ_PREP_831_2APPEND) ;

* MACRO TO COLLAPSE APPLICANTS ;
%macro zipapp(toc);
data data.collapse_zipapp&toc._qtr;
	set data.append_f831_allyears (where=(zip_charlong^='000000000' & bic='A' & al='A' & toc_&toc.=1)
								rename=(zip=zip_charlong));

	zip_char=substr(zip_charlong,1,5);
	zip=input(zip_char,5.);
run;

proc means noprint data=data.collapse_zipapp&toc._qtr nway;
	class zip year quarter;
	var 
	toc_&toc.
	online_sdr email_sdr lawyer_sdr reppay_sdr english_sdr 
	online_hsdrop online_hsgrad online_collgrad
	online_bsment online_bsphys online_bsmusc
	online_sevlow online_sevmed online_sevhigh online_sevvh
	onlineno_sdr emailno_sdr lawyerno_sdr reppayno_sdr englishno_sdr
	onlineno_hsdrop onlineno_hsgrad onlineno_collgrad
	onlineno_bsment onlineno_bsphys onlineno_bsmusc
	onlineno_sevlow onlineno_sevmed onlineno_sevhigh onlineno_sevvh
	allow_init allow_fin
	n_age age_0to9 age_10to17 age_18to34 age_35to49 age_50plus age_55to61 age_62plus
	bs_mental bs_phys bs_musc 
	n_ed ed_hsdrop ed_hsgrad ed_collgrad
	sev_low sev_med sev_high sev_vh sev_lownoapp sev_lowapp
	bssev_mentlow bssev_mentmed bssev_menthigh bssev_mentvh
	bssev_physlow bssev_physmed bssev_physhigh bssev_physvh
	bssev_musclow bssev_muscmed bssev_muschigh bssev_muscvh
	edsev_droplow edsev_dropmed edsev_drophigh edsev_dropvh
	edsev_hslow edsev_hsmed edsev_hshigh edsev_hsvh
	edsev_colllow edsev_collmed edsev_collhigh edsev_collvh
	edbs_dropment edbs_dropphys edbs_dropmusc 
	edbs_hsment edbs_hsphys edbs_hsmusc 
	edbs_collment edbs_collphys edbs_collmusc
	n_daysproc n_ddsproc n_daysprocgt40
	pearn pearn_miss pearn_0to5 pearn_5to15 pearn_15to25 pearn_25plus
	p2earn p2earn_miss p2earn_0to5 p2earn_5to15 p2earn_15to25 p2earn_25plus
	earnsev_0low earnsev_5low earnsev_15low earnsev_25low
	earnsev_0med earnsev_5med earnsev_15med earnsev_25med
	earnsev_0high earnsev_5high earnsev_15high earnsev_25high
	earnsev_0vh earnsev_5vh earnsev_15vh earnsev_25vh
	;

	output out=data.collapse_zipapp&toc._qtr
	SUM(
	toc_&toc.
	online_sdr email_sdr lawyer_sdr reppay_sdr english_sdr 
	online_hsdrop online_hsgrad online_collgrad
	online_bsment online_bsphys online_bsmusc
	online_sevlow online_sevmed online_sevhigh online_sevvh
	onlineno_sdr emailno_sdr lawyerno_sdr reppayno_sdr englishno_sdr
	onlineno_hsdrop onlineno_hsgrad onlineno_collgrad
	onlineno_bsment onlineno_bsphys onlineno_bsmusc
	onlineno_sevlow onlineno_sevmed onlineno_sevhigh onlineno_sevvh
	age_0to9 age_10to17 age_18to34 age_35to49 age_50plus age_55to61 age_62plus
	bs_mental bs_phys bs_musc 
	ed_hsdrop ed_hsgrad ed_collgrad
	sev_low sev_med sev_high sev_vh sev_lownoapp sev_lowapp
	bssev_mentlow bssev_mentmed bssev_menthigh bssev_mentvh
	bssev_physlow bssev_physmed bssev_physhigh bssev_physvh
	bssev_musclow bssev_muscmed bssev_muschigh bssev_muscvh
	edsev_droplow edsev_dropmed edsev_drophigh edsev_dropvh
	edsev_hslow edsev_hsmed edsev_hshigh edsev_hsvh
	edsev_colllow edsev_collmed edsev_collhigh edsev_collvh
	edbs_dropment edbs_dropphys edbs_dropmusc 
	edbs_hsment edbs_hsphys edbs_hsmusc 
	edbs_collment edbs_collphys edbs_collmusc
	n_daysproc n_ddsproc n_daysprocgt40
	pearn_miss pearn_0to5 pearn_5to15 pearn_15to25 pearn_25plus
	p2earn_miss p2earn_0to5 p2earn_5to15 p2earn_15to25 p2earn_25plus
	earnsev_0low earnsev_5low earnsev_15low earnsev_25low
	earnsev_0med earnsev_5med earnsev_15med earnsev_25med
	earnsev_0high earnsev_5high earnsev_15high earnsev_25high
	earnsev_0vh earnsev_5vh earnsev_15vh earnsev_25vh
	)=
	&toc._a_ctnum
	&toc._a_ctonline &toc._a_ctemail &toc._a_ctlawyer &toc._a_ctreppay &toc._a_ctenglish 
	&toc._a_ctonlhsdrop &toc._a_ctonlhsgrad &toc._a_ctonlcollgrad
	&toc._a_ctonlbsment &toc._a_ctonlbsphys &toc._a_ctonlbsmusc
	&toc._a_ctonlsevlow &toc._a_ctonlsevmed &toc._a_ctonlsevhigh &toc._a_ctonlsevvh
	&toc._a_ctonlineno &toc._a_ctemailno &toc._a_ctlawyerno &toc._a_ctreppayno &toc._a_ctenglishno 
	&toc._a_ctonnohsdrop &toc._a_ctonnohsgrad &toc._a_ctonnocollgrad
	&toc._a_ctonnobsment &toc._a_ctonnobsphys &toc._a_ctonnobsmusc
	&toc._a_ctonnosevlow &toc._a_ctonnosevmed &toc._a_ctonnosevhigh &toc._a_ctonnosevvh
	&toc._a_ctage0to9 &toc._a_ctage10to17 &toc._a_ctage18to34 &toc._a_ctage35to49 &toc._a_ctage50plus &toc._a_ctage55to61 &toc._a_ctage62plus
	&toc._a_ctbsmental &toc._a_ctbsphys &toc._a_ctbsmusc 
	&toc._a_ctedhsdrop &toc._a_ctedhsgrad &toc._a_ctedcollgrad
	&toc._a_ctsevlow &toc._a_ctsevmed &toc._a_ctsevhigh &toc._a_ctsevvh &toc._a_ctsevlownoapp &toc._a_ctsevlowapp
	&toc._a_ctxmentlow &toc._a_ctxmentmed &toc._a_ctxmenthigh &toc._a_ctxmentvh
	&toc._a_ctxphyslow &toc._a_ctxphysmed &toc._a_ctxphyshigh &toc._a_ctxphysvh
	&toc._a_ctxmusclow &toc._a_ctxmuscmed &toc._a_ctxmuschigh &toc._a_ctxmuscvh
	&toc._a_ctxdroplow &toc._a_ctxdropmed &toc._a_ctxdrophigh &toc._a_ctxdropvh
	&toc._a_ctxhslow &toc._a_ctxhsmed &toc._a_ctxhshigh &toc._a_ctxhsvh
	&toc._a_ctxcolllow &toc._a_ctxcollmed &toc._a_ctxcollhigh &toc._a_ctxcollvh
	&toc._a_ctxdropment &toc._a_ctxdropphys &toc._a_ctxdropmusc 
	&toc._a_ctxhsment &toc._a_ctxhsphys &toc._a_ctxhsmusc 
	&toc._a_ctxcollment &toc._a_ctxcollphys &toc._a_ctxcollmusc 
	&toc._sumdaysproc &toc._sumddsproc &toc._numprocgt40
	&toc._a_ctpearnmiss &toc._a_ctpearn0 &toc._a_ctpearn5 &toc._a_ctpearn15 &toc._a_ctpearn25
	&toc._a_ctp2earnmiss &toc._a_ctp2earn0 &toc._a_ctp2earn5 &toc._a_ctp2earn15 &toc._a_ctp2earn25
	&toc._a_ctxearn0low &toc._a_ctxearn5low &toc._a_ctxearn15low &toc._a_ctxearn25low
	&toc._a_ctxearn0med &toc._a_ctxearn5med &toc._a_ctxearn15med &toc._a_ctxearn25med
	&toc._a_ctxearn0high &toc._a_ctxearn5high &toc._a_ctxearn15high &toc._a_ctxearn25high
	&toc._a_ctxearn0vh &toc._a_ctxearn5vh &toc._a_ctxearn15vh &toc._a_ctxearn25vh
	MEAN(
	online_sdr email_sdr lawyer_sdr reppay_sdr english_sdr 
	allow_init allow_fin
	n_age 
	bs_mental bs_phys bs_musc 
	n_ed 
	sev_low sev_med sev_high sev_vh
	n_daysproc n_ddsproc n_daysprocgt40
	pearn p2earn
	)=
	&toc._a_online &toc._a_email &toc._a_lawyer &toc._a_reppay &toc._a_english 
	&toc._a_allowinit &toc._a_allowfin
	&toc._a_age 
	&toc._a_bsmental &toc._a_bsphys &toc._a_bsmusc 
	&toc._a_ed
	&toc._a_sevlow &toc._a_sevmed &toc._a_sevhigh &toc._a_sevvh 
	&toc._a_daysproc &toc._a_ddsproc &toc._a_numprocgt40
	&toc._a_pearn &toc._a_p2earn
	;
run;
%mend zipapp;

* MACRO TO COLLAPSE INITIALLY ALLOWED ;
%macro ziprec(toc);
data data.collapse_ziprec&toc._qtr;
	set data.append_f831_allyears (where=(zip_charlong^='000000000' & bic='A' & al='A' & toc_&toc.=1 & allow_dds=1)
								rename=(zip=zip_charlong));

	zip_char=substr(zip_charlong,1,5);
	zip=input(zip_char,5.);
run;

proc means noprint data=data.collapse_ziprec&toc._qtr nway;
	class zip year quarter;
	var 
	toc_&toc.
	allow_init allow_fin
	n_age age_0to9 age_10to17 age_18to34 age_35to49 age_50plus
	bs_mental bs_phys bs_musc 
	n_ed ed_hsdrop ed_hsgrad ed_collgrad
	sev_low sev_med sev_high sev_vh
	pearn pearn_miss pearn_0to5 pearn_5to15 pearn_15to25 pearn_25plus
	p2earn p2earn_miss p2earn_0to5 p2earn_5to15 p2earn_15to25 p2earn_25plus
	;

	output out=data.collapse_ziprec&toc._qtr
	SUM(
	toc_&toc.
	age_0to9 age_10to17 age_18to34 age_35to49 age_50plus
	bs_mental bs_phys bs_musc 
	ed_hsdrop ed_hsgrad ed_collgrad
	sev_low sev_med sev_high sev_vh
	pearn_miss pearn_0to5 pearn_5to15 pearn_15to25 pearn_25plus
	p2earn_miss p2earn_0to5 p2earn_5to15 p2earn_15to25 p2earn_25plus
	)=
	&toc._ir_ctnum
	&toc._ir_ctage0to9 &toc._ir_ctage10to17 &toc._ir_ctage18to34 &toc._ir_ctage35to49 &toc._ir_ctage50plus
	&toc._ir_ctbsmental &toc._ir_ctbsphys &toc._ir_ctbsmusc 
	&toc._ir_ctedhsdrop &toc._ir_ctedhsgrad &toc._ir_ctedcollgrad
	&toc._ir_ctsevlow &toc._ir_ctsevmed &toc._ir_ctsevhigh &toc._ir_ctsevvh
	&toc._ir_ctpearnmiss &toc._ir_ctpearn0 &toc._ir_ctpearn5 &toc._ir_ctpearn15 &toc._ir_ctpearn25
	&toc._ir_ctp2earnmiss &toc._ir_ctp2earn0 &toc._ir_ctp2earn5 &toc._ir_ctp2earn15 &toc._ir_ctp2earn25
	MEAN(
	allow_init allow_fin
	n_age
	bs_mental bs_phys bs_musc 
	n_ed
	sev_low sev_med sev_high sev_vh
	pearn p2earn
	)=
	&toc._ir_allowinit &toc._ir_allowfin
	&toc._ir_age 
	&toc._ir_bsmental &toc._ir_bsphys &toc._ir_bsmusc 
	&toc._ir_ed
	&toc._ir_sevlow &toc._ir_sevmed &toc._ir_sevhigh &toc._ir_sevvh
	&toc._ir_pearn &toc._ir_p2earn
	;
run;
%mend ziprec;

* MACRO TO COLLAPSE FINALLY ALLOWED ;
%macro zipfin(toc);
data data.collapse_zipfin&toc._qtr;
	set data.append_f831_allyears (where=(zip_charlong^='000000000' & bic='A' & al='A' & toc_&toc.=1 & allow_fin=1)
								rename=(zip=zip_charlong));

	zip_char=substr(zip_charlong,1,5);
	zip=input(zip_char,5.);
run;

proc means noprint data=data.collapse_zipfin&toc._qtr nway;
	class zip year quarter;
	var 
	toc_&toc.
	allow_init allow_fin
	n_age age_0to9 age_10to17 age_18to34 age_35to49 age_50plus
	bs_mental bs_phys bs_musc 
	n_ed ed_hsdrop ed_hsgrad ed_collgrad
	sev_low sev_med sev_high sev_vh
	bssev_mentlow bssev_mentmed bssev_menthigh bssev_mentvh
	bssev_physlow bssev_physmed bssev_physhigh bssev_physvh
	bssev_musclow bssev_muscmed bssev_muschigh bssev_muscvh
	edsev_droplow edsev_dropmed edsev_drophigh edsev_dropvh
	edsev_hslow edsev_hsmed edsev_hshigh edsev_hsvh
	edsev_colllow edsev_collmed edsev_collhigh edsev_collvh
	edbs_dropment edbs_dropphys edbs_dropmusc 
	edbs_hsment edbs_hsphys edbs_hsmusc 
	edbs_collment edbs_collphys edbs_collmusc	
	pearn pearn_miss pearn_0to5 pearn_5to15 pearn_15to25 pearn_25plus
	p2earn p2earn_miss p2earn_0to5 p2earn_5to15 p2earn_15to25 p2earn_25plus
	;

	output out=data.collapse_zipfin&toc._qtr
	SUM(
	toc_&toc.
	age_0to9 age_10to17 age_18to34 age_35to49 age_50plus
	bs_mental bs_phys bs_musc 
	ed_hsdrop ed_hsgrad ed_collgrad
	sev_low sev_med sev_high sev_vh
	bssev_mentlow bssev_mentmed bssev_menthigh bssev_mentvh
	bssev_physlow bssev_physmed bssev_physhigh bssev_physvh
	bssev_musclow bssev_muscmed bssev_muschigh bssev_muscvh
	edsev_droplow edsev_dropmed edsev_drophigh edsev_dropvh
	edsev_hslow edsev_hsmed edsev_hshigh edsev_hsvh
	edsev_colllow edsev_collmed edsev_collhigh edsev_collvh
	edbs_dropment edbs_dropphys edbs_dropmusc 
	edbs_hsment edbs_hsphys edbs_hsmusc 
	edbs_collment edbs_collphys edbs_collmusc	
	pearn_miss pearn_0to5 pearn_5to15 pearn_15to25 pearn_25plus
	p2earn_miss p2earn_0to5 p2earn_5to15 p2earn_15to25 p2earn_25plus
	)=
	&toc._r_ctnum
	&toc._r_ctage0to9 &toc._r_ctage10to17 &toc._r_ctage18to34 &toc._r_ctage35to49 &toc._r_ctage50plus
	&toc._r_ctbsmental &toc._r_ctbsphys &toc._r_ctbsmusc 
	&toc._r_ctedhsdrop &toc._r_ctedhsgrad &toc._r_ctedcollgrad
	&toc._r_ctsevlow &toc._r_ctsevmed &toc._r_ctsevhigh &toc._r_ctsevvh 
	&toc._r_ctxmentlow &toc._r_ctxmentmed &toc._r_ctxmenthigh &toc._r_ctxmentvh
	&toc._r_ctxphyslow &toc._r_ctxphysmed &toc._r_ctxphyshigh &toc._r_ctxphysvh
	&toc._r_ctxmusclow &toc._r_ctxmuscmed &toc._r_ctxmuschigh &toc._r_ctxmuscvh
	&toc._r_ctxdroplow &toc._r_ctxdropmed &toc._r_ctxdrophigh &toc._r_ctxdropvh
	&toc._r_ctxhslow &toc._r_ctxhsmed &toc._r_ctxhshigh &toc._r_ctxhsvh
	&toc._r_ctxcolllow &toc._r_ctxcollmed &toc._r_ctxcollhigh &toc._r_ctxcollvh
	&toc._r_ctxdropment &toc._r_ctxdropphys &toc._r_ctxdropmusc 
	&toc._r_ctxhsment &toc._r_ctxhsphys &toc._r_ctxhsmusc 
	&toc._r_ctxcollment &toc._r_ctxcollphys &toc._r_ctxcollmusc 
	&toc._r_ctpearnmiss &toc._r_ctpearn0 &toc._r_ctpearn5 &toc._r_ctpearn15 &toc._r_ctpearn25
	&toc._r_ctp2earnmiss &toc._r_ctp2earn0 &toc._r_ctp2earn5 &toc._r_ctp2earn15 &toc._r_ctp2earn25
	MEAN(
	allow_init allow_fin
	n_age
	bs_mental bs_phys bs_musc 
	n_ed
	sev_low sev_med sev_high sev_vh 
	pearn p2earn
	)=
	&toc._r_allowinit &toc._r_allowfin
	&toc._r_age 
	&toc._r_bsmental &toc._r_bsphys &toc._r_bsmusc 
	&toc._r_ed
	&toc._r_sevlow &toc._r_sevmed &toc._r_sevhigh &toc._r_sevvh 
	&toc._r_pearn &toc._r_p2earn
	;
run;
%mend zipfin;

* Collapse to ZIP level by group ;
proc sort data=data.append_f831_allyears out=data.append_f831_allyears;
	by zip year quarter;
run;

%zipapp(all);
%zipapp(diadult);
%zipapp(ssiadult);
%zipapp(ssikid);

%ziprec(all);
%ziprec(diadult);
%ziprec(ssiadult);
%ziprec(ssikid);

%zipfin(all);
%zipfin(diadult);
%zipfin(ssiadult);
%zipfin(ssikid);


* CONVERT 831 DATA SETS TO STATA;
%let DIR=;
%macro stataexport(dsname);
proc export data=data.&dsname
     file="&DIR\&dsname..dta"
     dbms=DTA REPLACE;
run;
%mend stataexport;

%stataexport(collapse_zipappall_qtr);
%stataexport(collapse_zipappdiadult_qtr);
%stataexport(collapse_zipappssiadult_qtr);
%stataexport(collapse_zipappssikid_qtr);

%stataexport(collapse_ziprecall_qtr);
%stataexport(collapse_ziprecdiadult_qtr);
%stataexport(collapse_ziprecssiadult_qtr);
%stataexport(collapse_ziprecssikid_qtr);

%stataexport(collapse_zipfinall_qtr);
%stataexport(collapse_zipfindiadult_qtr);
%stataexport(collapse_zipfinssiadult_qtr);
%stataexport(collapse_zipfinssikid_qtr);

run; quit;
