options compress=YES;
libname data ''; 
libname output ''; 
libname earn '';

* CREATE VARIABLES FROM SUPPLEMENTAL SECURITY RECORD ;
* INPUT: SSR EXTRACT PROVIDED BY SSA OFFICE OF RESEARCH, EVALUATION, AND STATISTICS 
	(located in folder ../offices/data/originals);

data data.ssrcer_prep1;
	set data.ssrcer_june2016 (where=(pan=hun));

	* Denied in year X ;
	denial_jd_yr=year(denial_jd);

	array denial(1989:2016) ssidenial_1989-ssidenial_2016;
	do i=1989 to 2016;
		if denial_jd_yr=i then denial(i)=1; else denial(i)=0;
	end;

run;

* ONE RECORD PER PERSON: denial date ;
data data.ssrcer_prep1_datewide;
	set data.ssrcer_prep1;
	id + 1;
	by hun;
	if first.hun then id=1;
run;

data data.ssrcer_prep1_datewide;
	set data.ssrcer_prep1_datewide;
	if id<=4;
run;

data data.ssrcer_prep1_datewide;
	set data.ssrcer_prep1_datewide;
	by hun;

	keep 	hun denial_jd1-denial_jd4;
	retain  denial_jd1-denial_jd4;
	array	adenial_jd(1:4) 	denial_jd1-denial_jd4 ; 

	if first.hun then
	do;
		do i=1 to 4;
			adenial_jd(i) 		=.;	
		end;
	end;

	adenial_jd(id) 		= denial_jd ;

	if last.hun then output;
run;	

* Merge ;
proc means noprint data=data.ssrcer_prep1 nway;
	by hun;
	var ssidenial_1: ssidenial_2:;
	output out=data.ssrcer_prep1
	MAX(ssidenial_1: ssidenial_2:)=;
run;

data data.ssrcer_prep1;
	set data.ssrcer_prep1;

	rid='R';
run;

data data.ssrcer_prep1;
	merge 
		data.ssrcer_prep1
		data.ssrcer_prep1_datewide
			(keep=hun denial_jd1-denial_jd4)
		;
	by hun;
run;

run; quit;
