capture log close
clear all
set maxvar 10000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Figure 1
Input:
	closings_by_year (created from SSA data, located in folder ../offices/data/zip)
*/

/* *********************** */
/* **** PAPER FIGURES **** */
/* *********************** */

use "`data'/closings_by_year.dta", clear;

twoway bar closings year,
		lcolor(black) lwidth(medthin) fcolor(maroon)
		graphregion(color(white))
		bgcolor(white)
		title("Field office closings", size(medsmall))
		ytitle("Number of closings", size(medsmall)) ylab(, nogrid)
		xtitle("Year", size(medsmall)) xsc(r(2000 2014)) xlab(2000(2)2014)
		;
graph save "`output'\closings_by_year.gph", replace;
