capture log close
clear all
set maxvar 10000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Figure 6
Input:
	merged_FNreg_qtr_`date' (from AEJ_PREP_831_5FIGURE)
*/

/* *********************** */
/* **** PAPER FIGURES **** */
/* *********************** */
use "`data'\statsby\merged_FNreg_qtr_`date'.dta", clear;

/* Figure 6: Wait time and processing time */
twoway 	
		rarea hi95_waitno_avg lo95_waitno_avg eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(`color_all') fin(30) ||
		connected b_waitno_avg eqtryear if eqtryear>=-12, lcolor(`color_all') mcolor(`color_all') msymbol(`msymbol_all') 			
		title("Walk-in wait time (closing ZIPs)", size(medsmall))
		xtitle("Quarters relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
		ytitle("Reduced form estimate (minutes)", size(medsmall)) ysc(r(-10 10)) ylab(-10(5)10)
		yline(0, lcolor(gray))
		xline(-1, lpattern(dash) lcolor(gray))
		legend(off)
		graphregion(color(white))
		bgcolor(white)
		ylabel(,nogrid)
		name(channel1)
		;

twoway 	
	rarea hi95_all_a_daysproc lo95_all_a_daysproc eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(`color_all') fin(30) ||
	connected b_all_a_daysproc eqtryear if eqtryear>=-12, lcolor(`color_all') mcolor(`color_all') msymbol(`msymbol_all') 		
	title("Application processing time (closing ZIPs)", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
	ytitle("Reduced form estimate (days)", size(medsmall)) ysc(r(-10 10)) ylab(-10(5)10)
	yline(0, lcolor(gray))
	xline(-1, lpattern(dash) lcolor(gray))
	legend(off)
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	name(channel2)
	;

graph combine channel1 channel2,
	altshrink cols(2) rows(1) xsize(11)
	graphregion(color(white))
	saving("`output'\\figure6.gph", replace);
