capture log close
clear all
set maxvar 10000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Appendix Figure A.9
Input:
	merged_FNreg_qtr_`date' (from AEJ_PREP_831_5FIGURE)
*/

/* *********************** */
/* **** PAPER FIGURES **** */
/* *********************** */
use "`data'\statsby\merged_FNreg_qtr_`date'.dta", clear;

/* Figure 9: Social Security cards */
twoway 	
	rarea hi95_ssacard_r_pcap_avg lo95_ssacard_r_pcap_avg eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(green) fin(30) ||
	rarea hi95_ssacard_o_pcap_avg lo95_ssacard_o_pcap_avg eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(maroon) fin(30) ||
	connected b_ssacard_r_pcap_avg eqtryear if eqtryear>=-12, lcolor(green) lwidth(medthick) mcolor(green) msymbol(T) ||
	connected b_ssacard_o_pcap_avg eqtryear if eqtryear>=-12, lcolor(maroon) lwidth(medium) lpattern(dash) mcolor(maroon) msymbol(O) 	
	title("Social Security card issuances", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
	ytitle("Reduced form estimate", size(medsmall)) ysc(r(-500 500)) ylab(-500(250)500)
	yline(0, lcolor(gray))
	xline(-1, lpattern(dash) lcolor(gray))
	legend(order(4 3) label(4 "Originals") label(3 "Replacements"))
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	;
graph save "`output'\\figure9.gph", replace;
