capture log close
clear all
set maxvar 10000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Appendix Figure A.11
Input:
	merged_FNreg_qtr_`date' (from AEJ_PREP_831_5FIGURE)
*/

/* *********************** */
/* **** PAPER FIGURES **** */
/* *********************** */
use "`data'\statsby\merged_FNreg_qtr_`date'.dta", clear;

/* Figure A.11: Neighbor log applications and receipt */
twoway 	
	rarea nbr_hi95_all_a_ctnum nbr_lo95_all_a_ctnum eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(blue) fin(30) ||
	connected nbr_b_all_r_ctnum eqtryear if eqtryear>=-12, lcolor(blue) lwidth(medium) lpattern(dash) mcolor(blue) msymbol(t) 	||	
	connected nbr_b_all_a_ctnum eqtryear if eqtryear>=-12, lcolor(blue) lwidth(medthick) mcolor(blue) msymbol(T) 
	title("Number of applicants and recipients in neighboring ZIPs (log)", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
	ytitle("Reduced form estimate", size(medsmall)) ysc(r(-.2 .1)) ylab(-.2(.1).1)
	yline(0, lcolor(gray))
	xline(-1, lpattern(dash) lcolor(gray))
	legend(order(3 2) label(3 "Applicants") label(2 "Recipients"))
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	;
graph save "`output'\\figure11.gph", replace;
