capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Merge 831 data into main dataset
Input: 
	zip_for831_eventstudyqtr_append (from AEJ_PREP_831_2ESTUDYQTR)
	collapse_zipappall_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipfinall_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	waittime_formerge_qtr (from AEJ_PREP_WAIT)
*/

use "`data'\zip_for831_eventstudyqtr_append.dta", clear;

local pre "12";
local post "8";

local list_a_all "all_a_ctnum all_a_ctsevlow all_a_ctsevmed all_a_ctsevhigh all_a_ctsevvh all_a_ctbsmental all_a_ctbsmusc all_a_ctbsphys all_a_ctedhsdrop all_a_ctedhsgrad all_a_ctedcollgrad all_a_ctenglish all_a_ctenglishno all_a_ctage18to34 all_a_ctage35to49 all_a_ctage50plus all_a_ctonline all_a_ctonlineno all_a_ctemail all_a_ctemailno all_a_ctlawyer all_a_ctlawyerno all_a_ctsevlownoapp all_a_ctsevlowapp all_a_sevlow all_a_sevmed all_a_sevhigh all_a_sevvh all_a_bsmental all_a_bsmusc all_a_bsphys all_a_ed all_a_english all_a_age all_a_online all_a_email all_a_lawyer all_a_ctxdroplow all_a_ctxdropmed all_a_ctxdrophigh all_a_ctxdropvh all_a_ctxhslow all_a_ctxhsmed all_a_ctxhshigh all_a_ctxhsvh all_a_ctxcolllow all_a_ctxcollmed all_a_ctxcollhigh all_a_ctxcollvh all_a_ctxdropment all_a_ctxdropmusc all_a_ctxdropphys all_a_ctxhsment all_a_ctxhsmusc all_a_ctxhsphys all_a_ctxcollment all_a_ctxcollmusc all_a_ctxcollphys all_a_ctxmentlow all_a_ctxmentmed all_a_ctxmenthigh all_a_ctxmentvh all_a_ctxphyslow all_a_ctxphysmed all_a_ctxphyshigh all_a_ctxphysvh all_a_ctxmusclow all_a_ctxmuscmed all_a_ctxmuschigh all_a_ctxmuscvh all_a_ctonlhsdrop all_a_ctonlhsgrad all_a_ctonlcollgrad all_a_ctonnohsdrop all_a_ctonnohsgrad all_a_ctonnocollgrad all_a_daysproc all_a_ddsproc all_a_ctonlbsment all_a_ctonlbsmusc all_a_ctonlbsphys all_a_ctonlsevlow all_a_ctonlsevmed all_a_ctonlsevhigh all_a_ctonlsevvh all_a_ctonnobsment all_a_ctonnobsmusc all_a_ctonnobsphys all_a_ctonnosevlow all_a_ctonnosevmed all_a_ctonnosevhigh all_a_ctonnosevvh all_a_ctreppay all_a_ctreppayno all_a_reppay all_a_allowinit" ;
local list_a_diadult "diadult_a_ctnum diadult_a_ctsevlow diadult_a_ctsevmed diadult_a_ctsevhigh diadult_a_ctsevvh diadult_a_ctbsmental diadult_a_ctbsmusc diadult_a_ctbsphys diadult_a_ctedhsdrop diadult_a_ctedhsgrad diadult_a_ctedcollgrad diadult_a_ctage18to34 diadult_a_ctage35to49 diadult_a_ctage50plus diadult_a_ctonline diadult_a_ctonlineno diadult_a_ctonlhsdrop diadult_a_ctonlhsgrad diadult_a_ctonlcollgrad diadult_a_ctonlbsment diadult_a_ctonlbsmusc diadult_a_ctonlbsphys diadult_a_ctonlsevlow diadult_a_ctonlsevmed diadult_a_ctonlsevhigh diadult_a_ctonlsevvh diadult_a_ctonnohsdrop diadult_a_ctonnohsgrad diadult_a_ctonnocollgrad diadult_a_ctonnobsment diadult_a_ctonnobsmusc diadult_a_ctonnobsphys diadult_a_ctonnosevlow diadult_a_ctonnosevmed diadult_a_ctonnosevhigh diadult_a_ctonnosevvh diadult_a_ctage55to61 diadult_a_ctage62plus diadult_a_online diadult_a_allowinit diadult_a_age diadult_a_bsmental diadult_a_bsmusc diadult_a_bsphys diadult_a_ed diadult_a_sevlow diadult_a_sevmed diadult_a_sevhigh diadult_a_sevvh diadult_a_daysproc diadult_a_ddsproc" ;
local list_a_ssiadult "ssiadult_a_ctnum ssiadult_a_ctsevlow ssiadult_a_ctsevmed ssiadult_a_ctsevhigh ssiadult_a_ctbsmental ssiadult_a_ctbsmusc ssiadult_a_ctbsphys ssiadult_a_ctsevvh ssiadult_a_ctedhsdrop ssiadult_a_ctedhsgrad ssiadult_a_ctedcollgrad ssiadult_a_ctage18to34 ssiadult_a_ctage35to49 ssiadult_a_ctage50plus ssiadult_a_allowinit ssiadult_a_age ssiadult_a_bsmental ssiadult_a_bsmusc ssiadult_a_bsphys ssiadult_a_ed ssiadult_a_sevlow ssiadult_a_sevmed ssiadult_a_sevhigh ssiadult_a_sevvh ssiadult_a_daysproc ssiadult_a_ddsproc" ;
local list_a_ssikid "ssikid_a_ctnum ssikid_a_ctsevlow ssikid_a_ctsevmed ssikid_a_ctsevhigh ssikid_a_ctsevvh ssikid_a_ctbsmental ssikid_a_ctbsphys ssikid_a_ctage0to9 ssikid_a_ctage10to17 ssikid_a_allowinit ssikid_a_age ssikid_a_bsmental ssikid_a_bsphys ssikid_a_sevlow ssikid_a_sevmed ssikid_a_sevhigh ssikid_a_sevvh ssikid_a_daysproc ssikid_a_ddsproc" ;

local list_a_all_earn "all_a_ctpearn0 all_a_ctpearn5 all_a_ctpearn15 all_a_ctpearn25 all_a_pearn all_a_ctxearn0low all_a_ctxearn0med all_a_ctxearn0high all_a_ctxearn0vh all_a_ctxearn5low all_a_ctxearn5med all_a_ctxearn5high all_a_ctxearn5vh all_a_ctxearn15low all_a_ctxearn15med all_a_ctxearn15high all_a_ctxearn15vh all_a_ctxearn25low all_a_ctxearn25med all_a_ctxearn25high all_a_ctxearn25vh" ;
local list_a_diadult_earn "diadult_a_ctpearn0 diadult_a_ctpearn5 diadult_a_ctpearn15 diadult_a_ctpearn25";
local list_a_ssiadult_earn "ssiadult_a_ctpearn0 ssiadult_a_ctpearn5 ssiadult_a_ctpearn15 ssiadult_a_ctpearn25"; 

local list_r_all "all_r_ctnum all_r_ctsevmed all_r_ctsevhigh all_r_ctsevvh all_r_ctbsmental all_r_ctbsmusc all_r_ctbsphys all_r_ctedhsdrop all_r_ctedhsgrad all_r_ctedcollgrad all_r_ctage18to34 all_r_ctage35to49 all_r_ctage50plus all_r_sevmed all_r_sevhigh all_r_sevvh all_r_bsmental all_r_bsmusc all_r_bsphys all_r_ed all_r_age"; 
local list_r_diadult "diadult_r_ctnum diadult_r_ctsevmed diadult_r_ctsevhigh diadult_r_ctsevvh diadult_r_ctbsmental diadult_r_ctbsmusc diadult_r_ctbsphys diadult_r_ctedhsdrop diadult_r_ctedhsgrad diadult_r_ctedcollgrad diadult_r_ctage18to34 diadult_r_ctage35to49 diadult_r_ctage50plus diadult_r_allowinit diadult_r_age diadult_r_bsmental diadult_r_bsmusc diadult_r_bsphys diadult_r_ed diadult_r_sevmed diadult_r_sevhigh diadult_r_sevvh" ;
local list_r_ssiadult "ssiadult_r_ctnum ssiadult_r_ctsevmed ssiadult_r_ctsevhigh ssiadult_r_ctsevvh ssiadult_r_ctbsmental ssiadult_r_ctbsmusc ssiadult_r_ctbsphys ssiadult_r_ctedhsdrop ssiadult_r_ctedhsgrad ssiadult_r_ctedcollgrad ssiadult_r_ctage18to34 ssiadult_r_ctage35to49 ssiadult_r_ctage50plus ssiadult_r_allowinit ssiadult_r_age ssiadult_r_bsmental ssiadult_r_bsmusc ssiadult_r_bsphys ssiadult_r_ed ssiadult_r_sevmed ssiadult_r_sevhigh ssiadult_r_sevvh" ;
local list_r_ssikid "ssikid_r_ctnum ssikid_r_ctsevmed ssikid_r_ctsevhigh ssikid_r_ctsevvh ssikid_r_ctbsmental ssikid_r_ctbsphys ssikid_r_ctage0to9 ssikid_r_ctage10to17 ssikid_r_allowinit ssikid_r_age ssikid_r_bsmental ssikid_r_bsphys ssikid_r_sevmed ssikid_r_sevhigh ssikid_r_sevvh" ;

local list_r_all_earn "all_r_ctpearn0 all_r_ctpearn5 all_r_ctpearn15 all_r_ctpearn25 all_r_pearn";
local list_r_diadult_earn "diadult_r_ctpearn0 diadult_r_ctpearn5 diadult_r_ctpearn15 diadult_r_ctpearn25"; 
local list_r_ssiadult_earn "ssiadult_r_ctpearn0 ssiadult_r_ctpearn5 ssiadult_r_ctpearn15 ssiadult_r_ctpearn25"; 


/* *********************************************** */
/* **** MERGE IN 831 DATA FOR VARIOUS GROUPS ***** */
/* *********************************************** */

/* Merge in 831 application data */
foreach stub in all diadult ssiadult ssikid {;
	merge m:1 zip year quarter using "`data'\collapse_zipapp`stub'_qtr.dta", 
		keepusing(`list_a_`stub'');
	drop if _merge==2;
	gen byte from_831`stub'_ayes=(_merge==3);
	gen byte from_831`stub'_ano=(_merge==1);
	drop _merge;
};

foreach stub in all diadult ssiadult {;
	merge m:1 zip year quarter using "`data'\collapse_zipapp`stub'_qtr.dta", 
		keepusing(`list_a_`stub'_earn');
	drop if _merge==2;
	drop _merge;
};

/* Merge in 831 final allowance data */
foreach stub in all diadult ssiadult ssikid {;
	merge m:1 zip year quarter using "`data'\collapse_zipfin`stub'_qtr.dta", 
		keepusing(`list_r_`stub'');
	drop if _merge==2;
	gen byte from_831`stub'_ryes=(_merge==3);
	gen byte from_831`stub'_rno=(_merge==1);
	drop _merge;
};

foreach stub in all diadult ssiadult {;
	merge m:1 zip year quarter using "`data'\collapse_zipfin`stub'_qtr.dta", 
		keepusing(`list_r_`stub'_earn');
	drop if _merge==2;
	drop _merge;
};

/* Merge in wait time data */
merge m:1 office1 year quarter using "`data'\waittime_formerge_qtr.dta", 
	keepusing(waitno_avg wait_avg waitap_avg waitno_count wait_count waitap_count);
drop if _merge==2;
gen byte from_wait=(_merge==3);
drop _merge;
tab from_wait, m;


/* ************************ */
/* **** DEFINE SAMPLES **** */
/* ************************ */

preserve;
keep if eqtryear<0;

foreach stub in all diadult ssiadult ssikid {;
	egen byzip`stub'_nomatch=total(from_831`stub'_ano), by(zip);
	egen byzip`stub'_count=count(from_831`stub'_ano), by(zip);
	gen byzip`stub'_propno=byzip`stub'_nomatch/byzip`stub'_count;
	egen byzip`stub'_maxapp=max(`stub'_a_ctnum), by(zip);
	egen byzip`stub'_meanapp=mean(`stub'_a_ctnum), by(zip);
};

collapse byzip*, by(zip);

foreach stub in all diadult ssiadult ssikid {;
	tab byzip`stub'_nomatch, m;
};

foreach stub in all diadult ssiadult ssikid {;
	summ byzip`stub'_propno, det;
};

/* Max number of applications, by ZIP */
foreach stub in all diadult ssiadult ssikid {;
	tab byzip`stub'_maxapp, m;
	tab byzip`stub'_maxapp if byzip`stub'_nomatch>0 & byzip`stub'_nomatch!=., m;
	summ byzip`stub'_maxapp;
	summ byzip`stub'_maxapp if byzip`stub'_nomatch>0 & byzip`stub'_nomatch!=.;
};

/* Mean number of applications, by ZIP */
foreach stub in all diadult ssiadult ssikid {;
	summ byzip`stub'_meanapp;
	summ byzip`stub'_meanapp if byzip`stub'_nomatch>0 & byzip`stub'_nomatch!=.;
};

/* Define samples for each group */
gen byte sample_all=(byzipall_meanapp>3 & byzipall_meanapp!=.);
gen byte sample_diadult=(byzipdiadult_meanapp>3 & byzipdiadult_meanapp!=.);
gen byte sample_ssiadult=(byzipssiadult_meanapp>3 & byzipssiadult_meanapp!=.);
gen byte sample_ssikid=(byzipssikid_meanapp>2 & byzipssikid_meanapp!=.);
tempfile dropzip ;
save `dropzip' ;
restore;

merge m:1 zip using `dropzip', keepusing(sample*);
drop _merge;

foreach var of varlist sample* {;
	tab `var', m;
};

save "`data'\zip_for831_eventqtr_forreg.dta", replace;
