capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Merge 831 data into main dataset
Input: 
	zip_for831_tradcontrolqtr_append (from AEJ_PREP_831_2TRADDD)
	collapse_zipappall_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipappdiadult_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipappssiadult_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipappssikid_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipfinall_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipfindiadult_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipfinssiadult_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	collapse_zipfinssikid_qtr (from SAS program AEJ_PREP_831_3COLLAPSE)
	waittime_formerge_qtr (from AEJ_PREP_WAIT)
	ssacards_formerge_qtr (from AEJ_PREP_SSACARDS)
	nearest_alltravel_quarterly_2000 (created from SSA data, located in folder ../offices/data/zip)
	populationdensity (created from public-use data, located in folder ../offices/data/zip)
	chetty_eitcvar_formerge (from Chetty, Friedman, Saez 2013)
	ssacounty_formerge (from AEJ_PREP_SSACOUNTY)
	nearest_final_year_2000 (created from SSA data, located in folder ../offices/data/zip)
	zip_for831_FNqtr_ctyclosecollapse (created from SSA data, located in folder ../offices/data/zip)
	manasi_county_small (created from public-use data, located in folder ../offices/data/zip)
	countyzip_xwalk (created from public-use data, located in folder ../offices/data/zip)
	fcc_formerge_qtr (from AEJ_PREP_FCC)
*/

use "`data'\zip_for831_tradcontrolqtr_append.dta", clear;

local pre "20";
local post "8";

local list_a_all "all_a_ctnum all_a_ctonline all_a_ctonlineno all_a_ctonlhsdrop all_a_ctonlhsgrad all_a_ctonlcollgrad all_a_ctonnohsdrop all_a_ctonnohsgrad all_a_ctonnocollgrad all_a_ctemail all_a_ctemailno all_a_ctlawyer all_a_ctlawyerno all_a_ctreppay all_a_ctreppayno all_a_ctenglish all_a_ctenglishno all_a_ctage18to34 all_a_ctage35to49 all_a_ctage50plus all_a_ctbsmental all_a_ctbsmusc all_a_ctbsphys all_a_ctedhsdrop all_a_ctedhsgrad all_a_ctedcollgrad all_a_ctsevlow all_a_ctsevmed all_a_ctsevhigh all_a_ctxdroplow all_a_ctxdropmed all_a_ctxdrophigh all_a_ctxhslow all_a_ctxhsmed all_a_ctxhshigh all_a_ctxcolllow all_a_ctxcollmed all_a_ctxcollhigh all_a_ctxdropment all_a_ctxdropmusc all_a_ctxdropphys all_a_ctxhsment all_a_ctxhsmusc all_a_ctxhsphys all_a_ctxcollment all_a_ctxcollmusc all_a_ctxcollphys all_a_online all_a_email all_a_lawyer all_a_reppay all_a_english all_a_allowinit all_a_age all_a_bsmental all_a_bsmusc all_a_bsphys all_a_ed all_a_sevlow all_a_sevmed all_a_sevhigh all_a_daysproc all_a_ddsproc"; 
local list_a_diadult "diadult_a_ctnum diadult_a_ctonline diadult_a_ctonlineno diadult_a_ctonlhsdrop diadult_a_ctonlhsgrad diadult_a_ctonlcollgrad diadult_a_ctonnohsdrop diadult_a_ctonnohsgrad diadult_a_ctonnocollgrad diadult_a_ctage18to34 diadult_a_ctage35to49 diadult_a_ctage50plus diadult_a_ctage55to61 diadult_a_ctage62plus diadult_a_ctbsmental diadult_a_ctbsmusc diadult_a_ctbsphys diadult_a_ctedhsdrop diadult_a_ctedhsgrad diadult_a_ctedcollgrad diadult_a_ctsevlow diadult_a_ctsevmed diadult_a_ctsevhigh diadult_a_online diadult_a_allowinit diadult_a_age diadult_a_bsmental diadult_a_bsmusc diadult_a_bsphys diadult_a_ed diadult_a_sevlow diadult_a_sevmed diadult_a_sevhigh diadult_a_daysproc diadult_a_ddsproc";
local list_a_ssiadult "ssiadult_a_ctnum ssiadult_a_ctage18to34 ssiadult_a_ctage35to49 ssiadult_a_ctage50plus ssiadult_a_ctbsmental ssiadult_a_ctbsphys ssiadult_a_ctbsmusc ssiadult_a_ctedhsdrop ssiadult_a_ctedhsgrad ssiadult_a_ctedcollgrad ssiadult_a_ctsevlow ssiadult_a_ctsevmed ssiadult_a_ctsevhigh ssiadult_a_allowinit ssiadult_a_age ssiadult_a_bsmental ssiadult_a_bsmusc ssiadult_a_bsphys ssiadult_a_ed ssiadult_a_sevlow ssiadult_a_sevmed ssiadult_a_sevhigh ssiadult_a_daysproc ssiadult_a_ddsproc";
local list_a_ssikid "ssikid_a_ctnum ssikid_a_ctage0to9 ssikid_a_ctage10to17 ssikid_a_ctbsmental ssikid_a_ctbsphys ssikid_a_ctsevlow ssikid_a_ctsevmed ssikid_a_ctsevhigh ssikid_a_allowinit ssikid_a_age ssikid_a_bsmental ssikid_a_bsphys ssikid_a_sevlow ssikid_a_sevmed ssikid_a_sevhigh ssikid_a_daysproc ssikid_a_ddsproc";

local list_r_all "all_r_ctnum all_r_ctage18to34 all_r_ctage35to49 all_r_ctage50plus all_r_ctbsmental all_r_ctbsmusc all_r_ctbsphys all_r_ctedhsdrop all_r_ctedhsgrad all_r_ctedcollgrad all_r_ctsevlow all_r_ctsevmed all_r_ctsevhigh all_r_ctxdroplow all_r_ctxdropmed all_r_ctxdrophigh all_r_ctxhslow all_r_ctxhsmed all_r_ctxhshigh all_r_ctxcolllow all_r_ctxcollmed all_r_ctxcollhigh all_r_ctxdropment all_r_ctxdropmusc all_r_ctxdropphys all_r_ctxhsment all_r_ctxhsmusc all_r_ctxhsphys all_r_ctxcollment all_r_ctxcollmusc all_r_ctxcollphys all_r_allowinit all_r_age all_r_bsmental all_r_bsmusc all_r_bsphys all_r_ed all_r_sevlow all_r_sevmed all_r_sevhigh";
local list_r_diadult "diadult_r_ctnum diadult_r_ctage18to34 diadult_r_ctage35to49 diadult_r_ctage50plus diadult_r_ctbsmental diadult_r_ctbsmusc diadult_r_ctbsphys diadult_r_ctedhsdrop diadult_r_ctedhsgrad diadult_r_ctedcollgrad diadult_r_ctsevlow diadult_r_ctsevmed diadult_r_ctsevhigh diadult_r_allowinit diadult_r_age diadult_r_bsmental diadult_r_bsmusc diadult_r_bsphys diadult_r_ed diadult_r_sevlow diadult_r_sevmed diadult_r_sevhigh";
local list_r_ssiadult "ssiadult_r_ctnum ssiadult_r_ctage18to34 ssiadult_r_ctage35to49 ssiadult_r_ctage50plus ssiadult_r_ctbsmental ssiadult_r_ctbsmusc ssiadult_r_ctbsphys ssiadult_r_ctedhsdrop ssiadult_r_ctedhsgrad ssiadult_r_ctedcollgrad ssiadult_r_ctsevlow ssiadult_r_ctsevmed ssiadult_r_ctsevhigh ssiadult_r_allowinit ssiadult_r_age ssiadult_r_bsmental ssiadult_r_bsmusc ssiadult_r_bsphys ssiadult_r_ed ssiadult_r_sevlow ssiadult_r_sevmed ssiadult_r_sevhigh";
local list_r_ssikid "ssikid_r_ctnum ssikid_r_ctage0to9 ssikid_r_ctage10to17 ssikid_r_ctbsmental ssikid_r_ctbsphys ssikid_r_ctsevlow ssikid_r_ctsevmed ssikid_r_ctsevhigh ssikid_r_allowinit ssikid_r_age ssikid_r_bsmental ssikid_r_bsphys ssikid_r_sevlow ssikid_r_sevmed ssikid_r_sevhigh";


/* *********************************************** */
/* **** MERGE IN 831 DATA FOR VARIOUS GROUPS ***** */
/* *********************************************** */

/* Merge in 831 application data */
foreach stub in all diadult ssiadult ssikid {;
	merge m:1 zip year quarter using "`data'\collapse_zipapp`stub'_qtr.dta", 
		keepusing(`list_a_`stub'');
	drop if _merge==2;
	gen byte from_831`stub'_ayes=(_merge==3);
	gen byte from_831`stub'_ano=(_merge==1);
	drop _merge;
};

/* Merge in 831 final allowance data */
foreach stub in all diadult ssiadult ssikid {;
	merge m:1 zip year quarter using "`data'\collapse_zipfin`stub'_qtr.dta", 
		keepusing(`list_r_`stub'');
	drop if _merge==2;
	gen byte from_831`stub'_ryes=(_merge==3);
	gen byte from_831`stub'_rno=(_merge==1);
	drop _merge;
};

/* Merge in wait time data */
merge m:1 office1 year quarter using "`data'\waittime_formerge_qtr.dta", 
	keepusing(waitno_avg wait_avg waitap_avg waitno_count wait_count waitap_count);
drop if _merge==2;
gen byte from_wait=(_merge==3);
drop _merge;
tab from_wait, m;

/* Merge in wait time for office2 to create variable for office2 wait in period before closing */
merge m:1 office2 year quarter using "`data'\waittime_formerge_qtr.dta", keepusing(waitno_avg2);
drop if _merge==2;
gen byte from_wait2=(_merge==3);
drop _merge;
tab from_wait2, m;

/* Merge in SS card data */
merge m:1 office1 year quarter using "`data'\ssacards_formerge_qtr.dta", keepusing(ssa*);
drop if _merge==2;
gen byte from_ssacard=(_merge==3);
drop _merge;
tab from_ssacard, m;

/* Create variable that is cards/pop */
gen ssacard_o_pcap=(ssacard_orig/c_fopop)*100000;
gen ssacard_r_pcap=(ssacard_repl/c_fopop)*100000;
count;
summ ssacard_orig ssacard_repl ssacard_o_pcap ssacard_r_pcap;

/* Merge in travel time data */
rename zip zipcode;
merge m:1 zipcode year quarter using "`data'\nearest_alltravel_quarterly_2000.dta",
	keepusing(time_driving1 time_driving2 dist_driving1 dist_driving2 time_transit1 time_transit2);
drop if _merge==2;
drop _merge;
rename zipcode zip;

/* Merge in FCC broadband data for Internet access */
rename zip zipcode;
merge m:1 zipcode using "`data'\fcc_formerge_qtr.dta",
	keepusing(fcc_*);
drop if _merge==2;
drop _merge;
rename zipcode zip;
summ fcc_access, det;
summ fcc_provnum, det;

/* Merge in county data for robustness checks */
rename zip zipcode;
merge m:1 zipcode using "`data'\countyzip_xwalk.dta";
drop if _merge==2;
drop _merge;
rename zipcode zip;

merge m:1 fips_code year quarter using "`data'\manasi_county_small.dta", keepusing(cty_*);
drop if _merge==2;
drop _merge;

/* Merge in SSA county data for information subgroups */
merge m:1 fips_code using "`data'\ssacounty_formerge.dta", keepusing(ssaprop_*);
drop if _merge==2;
drop _merge;

/* Merge in population density */
rename zip zipcode;
merge m:1 zipcode using "`data'\populationdensity.dta";
drop if _merge==2;
drop _merge;
summ density, det;
rename zipcode zip;

/* Merge in Chetty, Friedman, Saez EITC variation */
format csetdate %10.0g;
gen date = dofq(csetdate);
gen csetyr_pre=year(date)-1;
tab csetyr_pre;

gen str5 zip3=string(zip,"%05.0f");
replace zip3=substr(zip3,1,3);
destring zip3, replace;
merge m:1 zip3 csetyr_pre using "`data'\chetty_eitcvar_formerge.dta", keepusing(b_zip3);
drop if _merge==2;
drop _merge;
summ b_zip3, det;
summ b_zip3 if csetyr_pre>2009;
gen temp=b_zip3 if csetyr_pre==2009;
egen b_zip3_2009=max(temp), by(zip);
replace b_zip3=b_zip3_2009 if csetyr_pre>2009;
summ b_zip3, det;
summ b_zip3 if csetyr_pre>2009;
rename b_zip3 chetty_eitc;
drop temp b_zip3_2009;

/* For ZIP-quarter combinations that don't match from 831, there were no applications */
foreach stub in all diadult ssiadult ssikid {;
	foreach var of varlist `stub'_a_ct* `stub'_r_ct* {;
		replace `var'=0 if from_831`stub'_ayes==0;
		replace `var'=0 if from_831`stub'_ryes==0;
	};
	tab from_831`stub'_ano, m; 
	tab from_831`stub'_rno, m;
};
replace all_a_ctonline=0 if from_831all_ayes==0;
replace diadult_a_ctonline=0 if from_831diadult_ayes==0;

/* Create variables for wait time and distance of office2 in quarter before closing */
tab csetdate, m;
tab qtryear, m;
gen temp_wait2=waitno_avg2 if qtryear==csetdate-1;
egen office2_wait=max(temp_wait2), by(zip);
gen temp_wait1=waitno_avg if qtryear==csetdate-1;
egen office1_wait=max(temp_wait1), by(zip);
gen office2_waitdiff=office2_wait-office1_wait;

gen temp_dist1=dist_driving1 if qtryear==csetdate-1;
egen office1_dist=max(temp_dist1), by(zip);
gen temp_dist2=dist_driving2 if qtryear==csetdate-1;
egen office2_dist=max(temp_dist2), by(zip);
gen office2_distdiff=office2_dist-office1_dist;

drop temp_*;
count;
count if waitno_avg2!=.;
count if waitno_avg!=.;
count if office2_wait!=.;
count if office1_wait!=.;
count if office2_waitdiff!=.;
count if dist_driving2!=.;
count if dist_driving1!=.;
count if office2_dist!=.;
count if office1_dist!=.;
count if office2_distdiff!=.;

summ office2_*, det;

/* Information: sum apps by ZIP from 1995-2000 */
gen temp=all_a_ctnum if year>=1996 & year<=2000;
egen zipapp_ct9600=total(temp), by(zip);
gen zipapp_pc9600=zipapp_ct9600/c_pop;
drop temp;
summ zipapp_pc9600;


/* ************************ */
/* **** DEFINE SAMPLES **** */
/* ************************ */

preserve;
keep if (treat==1 & eqtryear<0) | cntrl==1 ;

foreach stub in all diadult ssiadult ssikid {;
	egen byzip`stub'_nomatch=total(from_831`stub'_ano), by(zip);
	egen byzip`stub'_count=count(from_831`stub'_ano), by(zip);
	gen byzip`stub'_propno=byzip`stub'_nomatch/byzip`stub'_count;
	egen byzip`stub'_maxapp=max(`stub'_a_ctnum), by(zip);
	egen byzip`stub'_meanapp=mean(`stub'_a_ctnum), by(zip);
};

collapse byzip*, by(zip);

foreach stub in all diadult ssiadult ssikid {;
	tab byzip`stub'_nomatch, m;
};

foreach stub in all diadult ssiadult ssikid {;
	summ byzip`stub'_propno, det;
};

/* Max number of applications, by ZIP */
foreach stub in all diadult ssiadult ssikid {;
	tab byzip`stub'_maxapp, m;
	tab byzip`stub'_maxapp if byzip`stub'_nomatch>0 & byzip`stub'_nomatch!=., m;
	summ byzip`stub'_maxapp;
	summ byzip`stub'_maxapp if byzip`stub'_nomatch>0 & byzip`stub'_nomatch!=.;
};

/* Mean number of applications, by ZIP */
foreach stub in all diadult ssiadult ssikid {;
	summ byzip`stub'_meanapp;
	summ byzip`stub'_meanapp if byzip`stub'_nomatch>0 & byzip`stub'_nomatch!=.;
};

/* Define samples for each group */
gen byte sample_all=(byzipall_meanapp>3 & byzipall_meanapp!=.);
gen byte sample_diadult=(byzipdiadult_meanapp>3 & byzipdiadult_meanapp!=.);
gen byte sample_ssiadult=(byzipssiadult_meanapp>3 & byzipssiadult_meanapp!=.);
gen byte sample_ssikid=(byzipssikid_meanapp>2 & byzipssikid_meanapp!=.);
tempfile dropzip ;
save `dropzip' ;
restore;

merge m:1 zip using `dropzip', keepusing(sample*);
drop _merge;

foreach var of varlist sample* {;
	tab `var', m;
};

save "`data'\zip_for831_tradcontrolqtr_forreg.dta", replace;


/* ************************************* */
/* **** GET MEANS AND SUMMARY STATS **** */
/* ************************************* */

/* Treatment means from BEFORE closing (for summary statistics and baseline) 
	and control means (for summary statistics) */
foreach stub in all diadult ssiadult ssikid {;
	summ `list_a_`stub'' `list_r_`stub'' `list_endo'
	if cntrl==1 & sample_`stub'==1;
};
summ wait* ssa*
	if cntrl==1 & sample_all==1;

foreach stub in all diadult ssiadult ssikid {;
	summ `list_a_`stub'' `list_r_`stub'' `list_endo'
	if eqtryear<0 & eqtryear>=-4 & treat==1 & sample_`stub'==1;
};
summ wait* ssa*
	if eqtryear<0 & eqtryear>=-4 & treat==1 & sample_all==1;
	
/* Summary statistics using all treated ZIPs */
keep if eqtryear<0 & eqtryear>=-4 & treat==1;

collapse 
	`list_a_all' `list_a_diadult' `list_a_ssiadult' `list_a_ssikid'
	`list_r_all' `list_r_diadult' `list_r_ssiadult' `list_r_ssikid'	
	`list_endo'
	, by(cset zip)
	;
	
order cset zip 
	`list_a_all' `list_a_diadult' `list_a_ssiadult' `list_a_ssikid'
	`list_r_all' `list_r_diadult' `list_r_ssiadult' `list_r_ssikid'	
	`list_endo'
	;
	
save "`data'\summstats_zip_for831_tradcontrolqtr.dta", replace;

/* Get number of affected ZIPs per closing */
collapse (count) zip, by(cset);
summ zip;
