capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Prep for Figure 5 LHS
Input:
	FNreg_qtr_`date'_`cov'wt
*/ 

local pre "12";

/* Create one data set of estimates */
foreach stub in all {;
	foreach cov in `stub'_a_ctnum `stub'_r_ctnum `stub'_a_lvlnum `stub'_r_lvlnum {;
	
	local date "eventstudyAEJ8";

	use "`data'\statsby\FNreg_qtr_`date'_`cov'wt.dta", clear;
	
	/* Reshape data */
	keep _b_eqtr* _se_eqtr*; 
	gen _b_eqtryear_10=0;
	gen _se_eqtryear_10=0;
	gen id=1;
	reshape long _b_eqtryear_ _se_eqtryear_, i(id) j(eqtryear);
	rename _b_eqtryear_ b_`cov'_8;
	rename _se_eqtryear_ se_`cov'_8;
	
	gen hi95_`cov'_8 = b_`cov'_8+1.96*se_`cov'_8 ;
	gen lo95_`cov'_8 = b_`cov'_8-1.96*se_`cov'_8 ;
	drop id;
	replace eqtryear=eqtryear-12;
	
	tempfile `cov'_8 ;
	save ``cov'_8' ;
};
};

/* Merge data sets and save */
use `all_a_ctnum_8', clear;
keep eqtryear;

foreach post in 8 12 16 {;
foreach stub in all  {;
	foreach cov in `stub'_a_ctnum `stub'_r_ctnum `stub'_a_lvlnum `stub'_r_lvlnum {;
		merge 1:1 eqtryear using ``cov'_8' ;
		drop _merge;
	};
};
};

save "`data'\statsby\merged_eventstudy_qtr.dta", replace;
