capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause on
# delimit;

local output "";
local log "";
local data "";

/* 
Prep FCC broadband data
Input: 
	fccdata_master (from public-use FCC data, located in folder ../offices/data/zip)
*/

use "`data'\fccdata_master.dta", clear;
describe;

/* Collapse data to one summary stat per ZIP */
rename numberofproviders fcc_provnum;
destring fcc_provnum, replace;
rename connect_per1000hhs fcc_access;
keep if year>=2008 & year<=2010;
collapse fcc_provnum fcc_access, by(zipcode);
summ fcc_provnum, det;
summ fcc_access, det;

save "`data'\fcc_formerge_qtr.dta", replace;
