capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause on
# delimit;

local output "";
local log "";
local data "";

/* 
Prep SSA county data
Input: 
	manasi_ssa_small (created from public-use data, located in folder ../offices/data/zip)
*/

use "`data'\manasi_ssa_small.dta", clear;
describe ssa_*;

/* Collapse data to one summary stat per ZIP */
gen ssaprop_all=(ssa_disworknum+ssa_ssidisnum)/ssa_pop;
gen ssaprop_diadult=ssa_disworknum/ssa_pop;
gen ssaprop_ssiadult=ssa_ssidisnum/ssa_pop;
gen ssaprop_ssikid=ssa_ssikidnum/ssa_pop;

keep if year>=2000 & year<=2004;
collapse ssaprop_*, by(fips_code);
summ ssaprop_*, det;

save "`data'\ssacounty_formerge.dta", replace;

