capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause on
# delimit;

local output "";
local log "";
local data "";
local area "";

/* 
Prep FO staff data
Input: 
	fostaff_forstata (provided by SSA Office of Public Service and Operations Support, 
				located in folder ../offices/data/facilities)
*/

use "`area'\fostaff_forstata.dta", clear;
describe;

/* Collapse by office number */
drop if office_number==.;
duplicates report office_number;
collapse (sum) yr*, by(office_number);
duplicates report office_number;

/* Reshape long by year */
reshape long yr, 
	i(office_number) j(year);

rename yr staff;
rename office_number office1;

save "`data'\fostaff_formerge_qtr.dta", replace;

