capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Summary statistics for Appendix Table A.9
Input: 
	zip_for831_FNqtr_forreg (from AEJ_831QTR_PREP3)
	zip_for831_FNqtrnbr_forreg (from AEJ_831QTRNBR_PREP3)
*/

/* ********************************************** */
/* **** CLOSING ZIPS (CONTROL AND TREATMENT) **** */
/* ********************************************** */

use "`data'\zip_for831_FNqtr_forreg.dta", clear;

tab treat cntrl, m;

keep if eqtryear<0 & eqtryear>-4 & sample_all==1;

collapse 
	c_* waitno_avg all_a_ctnum,
	by(zip treat);

/* Summary statistics and t-tests */
summ c_* waitno_avg all_a_ctnum if treat==1;
summ c_* waitno_avg all_a_ctnum if treat==0;
	
foreach var of varlist c_* waitno_avg all_a_ctnum {;
	ttest `var', by(treat);
};

keep if treat==1;
rename treat treat_sampall;
keep zip treat_sampall;
save "`data'\zip_for831_summstats_ziptrt.dta", replace;


/* ************************** */
/* **** NEIGHBORING ZIPS **** */
/* ************************** */

use "`data'\zip_for831_FNqtrnbr_forreg.dta", clear;

tab treat cntrl, m;

keep if eqtryear<0 & eqtryear>-4 & sample_all==1;

collapse 
	c_* waitno_avg all_a_ctnum,
	by(zip treat);

/* Summary statistics and t-tests */
summ c_* waitno_avg all_a_ctnum if treat==1;
summ c_* waitno_avg all_a_ctnum if treat==0;
	
foreach var of varlist c_* waitno_avg all_a_ctnum {;
	ttest `var', by(treat);
};

keep if treat==1;
rename treat treat_sampall;
keep zip treat_sampall;
save "`data'\zip_for831_summstats_zipnbr.dta", replace;
